import request from '@/utils/request'

// 查询设备借用记录列表
export function listBorrow(query) {
  return request({
    url: '/asset/borrow/list',
    method: 'get',
    params: query
  })
}

// 查询设备借用记录详细
export function getBorrow(id) {
  return request({
    url: '/asset/borrow/' + id,
    method: 'get'
  })
}

// 新增设备借用记录
export function addBorrow(data) {
  return request({
    url: '/asset/borrow',
    method: 'post',
    data: data
  })
}

// 修改设备借用记录
export function updateBorrow(data) {
  return request({
    url: '/asset/borrow',
    method: 'put',
    data: data
  })
}

// 删除设备借用记录
export function delBorrow(id) {
  return request({
    url: '/asset/borrow/' + id,
    method: 'delete'
  })
}
